## org.eclipse.emf.compare.diff.metamodel.util
Class DiffAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.compare.diff.metamodel.util.DiffAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  DiffItemProviderAdapterFactory

    public class DiffAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `DiffPackage`

Field Summary
`protected static DiffPackage` `modelPackage` The cached model package
`protected DiffSwitch<org.eclipse.emf.common.notify.Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`DiffAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAbstractDiffExtensionAdapter()` Creates a new adapter for an object of class '`Abstract Diff Extension`'
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
`org.eclipse.emf.common.notify.Adapter` `createAttributeChangeAdapter()` Creates a new adapter for an object of class ' `Attribute Change`'.
`org.eclipse.emf.common.notify.Adapter` `createAttributeChangeLeftTargetAdapter()` Creates a new adapter for an object of class '`Attribute Change Left Target`'
`org.eclipse.emf.common.notify.Adapter` `createAttributeChangeRightTargetAdapter()` Creates a new adapter for an object of class '`Attribute Change Right Target`'
`org.eclipse.emf.common.notify.Adapter` `createComparisonResourceSetSnapshotAdapter()` Creates a new adapter for an object of class '`Comparison Resource Set Snapshot`'
`org.eclipse.emf.common.notify.Adapter` `createComparisonResourceSnapshotAdapter()` Creates a new adapter for an object of class '`Comparison Resource Snapshot`'
`org.eclipse.emf.common.notify.Adapter` `createComparisonSnapshotAdapter()` Creates a new adapter for an object of class ' `Comparison Snapshot`'.
`org.eclipse.emf.common.notify.Adapter` `createConflictingDiffElementAdapter()` Creates a new adapter for an object of class '`Conflicting Diff Element`'
`org.eclipse.emf.common.notify.Adapter` `createDiffElementAdapter()` Creates a new adapter for an object of class '`Element`'
`org.eclipse.emf.common.notify.Adapter` `createDiffGroupAdapter()` Creates a new adapter for an object of class '`Group`'
`org.eclipse.emf.common.notify.Adapter` `createDiffModelAdapter()` Creates a new adapter for an object of class '`Model`'
`org.eclipse.emf.common.notify.Adapter` `createDiffResourceSetAdapter()` Creates a new adapter for an object of class ' `Resource Set`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`org.eclipse.emf.common.notify.Adapter` `createModelElementChangeAdapter()` Creates a new adapter for an object of class ' `Model Element Change`'.
`org.eclipse.emf.common.notify.Adapter` `createModelElementChangeLeftTargetAdapter()` Creates a new adapter for an object of class '`Model Element Change Left Target`'
`org.eclipse.emf.common.notify.Adapter` `createModelElementChangeRightTargetAdapter()` Creates a new adapter for an object of class '`Model Element Change Right Target`'
`org.eclipse.emf.common.notify.Adapter` `createMoveModelElementAdapter()` Creates a new adapter for an object of class ' `Move Model Element`'.
`org.eclipse.emf.common.notify.Adapter` `createReferenceChangeAdapter()` Creates a new adapter for an object of class ' `Reference Change`'.
`org.eclipse.emf.common.notify.Adapter` `createReferenceChangeLeftTargetAdapter()` Creates a new adapter for an object of class '`Reference Change Left Target`'
`org.eclipse.emf.common.notify.Adapter` `createReferenceChangeRightTargetAdapter()` Creates a new adapter for an object of class '`Reference Change Right Target`'
`org.eclipse.emf.common.notify.Adapter` `createReferenceOrderChangeAdapter()` Creates a new adapter for an object of class '`Reference Order Change`'
`org.eclipse.emf.common.notify.Adapter` `createResourceDependencyChangeAdapter()` Creates a new adapter for an object of class '`Resource Dependency Change`'
`org.eclipse.emf.common.notify.Adapter` `createResourceDependencyChangeLeftTargetAdapter()` Creates a new adapter for an object of class '`Resource Dependency Change Left Target`'
`org.eclipse.emf.common.notify.Adapter` `createResourceDependencyChangeRightTargetAdapter()` Creates a new adapter for an object of class '`Resource Dependency Change Right Target`'
`org.eclipse.emf.common.notify.Adapter` `createResourceDiffAdapter()` Creates a new adapter for an object of class ' `Resource Diff`'.
`org.eclipse.emf.common.notify.Adapter` `createUpdateAttributeAdapter()` Creates a new adapter for an object of class ' `Update Attribute`'.
`org.eclipse.emf.common.notify.Adapter` `createUpdateContainmentFeatureAdapter()` Creates a new adapter for an object of class '`Update Containment Feature`'
`org.eclipse.emf.common.notify.Adapter` `createUpdateModelElementAdapter()` Creates a new adapter for an object of class ' `Update Model Element`'.
`org.eclipse.emf.common.notify.Adapter` `createUpdateReferenceAdapter()` Creates a new adapter for an object of class ' `Update Reference`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object
`static boolean` `shouldBeHidden(org.eclipse.emf.ecore.EObject element)` Check whether this element should be visible or not.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static DiffPackage modelPackage

  The cached model package.

### modelSwitch

    protected DiffSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### DiffAdapterFactory

    public DiffAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### shouldBeHidden

    public static boolean shouldBeHidden(org.eclipse.emf.ecore.EObject element)

  Check whether this element should be visible or not. A diff element may not be visible when it's hidden by any diff extension and this diff extension is not collapsed.

  Parameters:
    `element` - :the diff element we want to know if it's visible or not.
  Returns:
    : true if the element should be hidden in the compare view, false otherwhise.

### createAbstractDiffExtensionAdapter

    public org.eclipse.emf.common.notify.Adapter createAbstractDiffExtensionAdapter()

  Creates a new adapter for an object of class '`Abstract Diff Extension`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AbstractDiffExtension`

### createResourceDiffAdapter

    public org.eclipse.emf.common.notify.Adapter createResourceDiffAdapter()

  Creates a new adapter for an object of class ' `Resource Diff`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResourceDiff`

### createResourceDependencyChangeAdapter

    public org.eclipse.emf.common.notify.Adapter createResourceDependencyChangeAdapter()

  Creates a new adapter for an object of class '`Resource Dependency Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResourceDependencyChange`

### createResourceDependencyChangeLeftTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createResourceDependencyChangeLeftTargetAdapter()

  Creates a new adapter for an object of class '`Resource Dependency Change Left Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResourceDependencyChangeLeftTarget`

### createResourceDependencyChangeRightTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createResourceDependencyChangeRightTargetAdapter()

  Creates a new adapter for an object of class '`Resource Dependency Change Right Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResourceDependencyChangeRightTarget`

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAttributeChangeAdapter

    public org.eclipse.emf.common.notify.Adapter createAttributeChangeAdapter()

  Creates a new adapter for an object of class ' `Attribute Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AttributeChange`

### createAttributeChangeLeftTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createAttributeChangeLeftTargetAdapter()

  Creates a new adapter for an object of class '`Attribute Change Left Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AttributeChangeLeftTarget`

### createAttributeChangeRightTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createAttributeChangeRightTargetAdapter()

  Creates a new adapter for an object of class '`Attribute Change Right Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AttributeChangeRightTarget`

### createConflictingDiffElementAdapter

    public org.eclipse.emf.common.notify.Adapter createConflictingDiffElementAdapter()

  Creates a new adapter for an object of class '`Conflicting Diff Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConflictingDiffElement`

### createDiffElementAdapter

    public org.eclipse.emf.common.notify.Adapter createDiffElementAdapter()

  Creates a new adapter for an object of class '`Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DiffElement`

### createDiffGroupAdapter

    public org.eclipse.emf.common.notify.Adapter createDiffGroupAdapter()

  Creates a new adapter for an object of class '`Group`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DiffGroup`

### createComparisonSnapshotAdapter

    public org.eclipse.emf.common.notify.Adapter createComparisonSnapshotAdapter()

  Creates a new adapter for an object of class ' `Comparison Snapshot`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ComparisonSnapshot`

### createComparisonResourceSnapshotAdapter

    public org.eclipse.emf.common.notify.Adapter createComparisonResourceSnapshotAdapter()

  Creates a new adapter for an object of class '`Comparison Resource Snapshot`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ComparisonResourceSnapshot`

### createComparisonResourceSetSnapshotAdapter

    public org.eclipse.emf.common.notify.Adapter createComparisonResourceSetSnapshotAdapter()

  Creates a new adapter for an object of class '`Comparison Resource Set Snapshot`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ComparisonResourceSetSnapshot`

### createDiffModelAdapter

    public org.eclipse.emf.common.notify.Adapter createDiffModelAdapter()

  Creates a new adapter for an object of class '`Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DiffModel`

### createDiffResourceSetAdapter

    public org.eclipse.emf.common.notify.Adapter createDiffResourceSetAdapter()

  Creates a new adapter for an object of class ' `Resource Set`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DiffResourceSet`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

### createModelElementChangeAdapter

    public org.eclipse.emf.common.notify.Adapter createModelElementChangeAdapter()

  Creates a new adapter for an object of class ' `Model Element Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ModelElementChange`

### createModelElementChangeLeftTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createModelElementChangeLeftTargetAdapter()

  Creates a new adapter for an object of class '`Model Element Change Left Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ModelElementChangeLeftTarget`

### createModelElementChangeRightTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createModelElementChangeRightTargetAdapter()

  Creates a new adapter for an object of class '`Model Element Change Right Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ModelElementChangeRightTarget`

### createMoveModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createMoveModelElementAdapter()

  Creates a new adapter for an object of class ' `Move Model Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MoveModelElement`

### createUpdateContainmentFeatureAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateContainmentFeatureAdapter()

  Creates a new adapter for an object of class '`Update Containment Feature`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UpdateContainmentFeature`

### createReferenceChangeAdapter

    public org.eclipse.emf.common.notify.Adapter createReferenceChangeAdapter()

  Creates a new adapter for an object of class ' `Reference Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReferenceChange`

### createReferenceChangeLeftTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createReferenceChangeLeftTargetAdapter()

  Creates a new adapter for an object of class '`Reference Change Left Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReferenceChangeLeftTarget`

### createReferenceChangeRightTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createReferenceChangeRightTargetAdapter()

  Creates a new adapter for an object of class '`Reference Change Right Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReferenceChangeRightTarget`

### createUpdateAttributeAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateAttributeAdapter()

  Creates a new adapter for an object of class ' `Update Attribute`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UpdateAttribute`

### createUpdateModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateModelElementAdapter()

  Creates a new adapter for an object of class ' `Update Model Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UpdateModelElement`

### createUpdateReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createUpdateReferenceAdapter()

  Creates a new adapter for an object of class ' `Update Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UpdateReference`

### createReferenceOrderChangeAdapter

    public org.eclipse.emf.common.notify.Adapter createReferenceOrderChangeAdapter()

  Creates a new adapter for an object of class '`Reference Order Change`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReferenceOrderChange`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

Copyright 2006 IBM Corporation and others. All Rights Reserved.